Index: src/includes/classes/Smarty/sysplugins/smarty_internal_configfileparser.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/sysplugins/smarty_internal_configfileparser.php	(revision 54b5657ad2e80eb6f9bf910415d8a992a8b6d777)
+++ src/includes/classes/Smarty/sysplugins/smarty_internal_configfileparser.php	(revision )
@@ -1,17 +1,9 @@
 <?php
 
-/**
- * Smarty Internal Plugin Configfileparser
- * This is the config file parser.
- * It is generated from the internal.configfileparser.y file
- *
- * @package    Smarty
- * @subpackage Compiler
- * @author     Uwe Tews
- */
 class TPC_yyToken implements ArrayAccess
 {
     public $string = '';
+
     public $metadata = array();
 
     public function __construct($s, $m = array())
@@ -31,7 +23,7 @@
 
     public function __toString()
     {
-        return $this->_string;
+        return $this->string;
     }
 
     public function offsetExists($offset)
@@ -48,8 +40,7 @@
     {
         if ($offset === null) {
             if (isset($value[0])) {
-                $x = ($value instanceof TPC_yyToken) ?
-                    $value->metadata : $value;
+                $x = ($value instanceof TPC_yyToken) ? $value->metadata : $value;
                 $this->metadata = array_merge($this->metadata, $x);
 
                 return;
@@ -76,8 +67,8 @@
 
 class TPC_yyStackEntry
 {
-    public $stateno; /* The state-number */
+    public $stateno;       /* The state-number */
-    public $major; /* The major token value.  This is the code
+    public $major;         /* The major token value.  This is the code
                      ** number for the token at this stack level */
     public $minor; /* The user-supplied minor token value.  This
                      ** is the value of the token  */
@@ -85,26 +76,112 @@
 
 ;
 
-#line 12 "smarty_internal_configfileparser.y"
-class Smarty_Internal_Configfileparser #line 80 "smarty_internal_configfileparser.php"
+#line 12 "../smarty/lexer/smarty_internal_configfileparser.y"
+
+/**
+ * Smarty Internal Plugin Configfileparse
+ *
+ * This is the config file parser.
+ * It is generated from the smarty_internal_configfileparser.y file
+ *
+ * @package    Smarty
+ * @subpackage Compiler
+ * @author     Uwe Tews
+ */
+class Smarty_Internal_Configfileparser
 {
-    #line 14 "smarty_internal_configfileparser.y"
+    #line 25 "../smarty/lexer/smarty_internal_configfileparser.y"
 
-    // states whether the parse was successful or not
+    /**
+     * result status
+     *
+     * @var bool
+     */
     public $successful = true;
+
+    /**
+     * return value
+     *
+     * @var mixed
+     */
     public $retvalue = 0;
+
+    /**
+     * @var
+     */
+    public $yymajor;
+
+    /**
+     * lexer object
+     *
+     * @var Smarty_Internal_Configfilelexer
+     */
     private $lex;
+
+    /**
+     * internal error flag
+     *
+     * @var bool
+     */
     private $internalError = false;
 
-    function __construct($lex, $compiler)
+    /**
+     * compiler object
+     *
+     * @var Smarty_Internal_Config_File_Compiler
+     */
+    public $compiler = null;
+
+    /**
+     * smarty object
+     *
+     * @var Smarty
+     */
+    public $smarty = null;
+
+    /**
+     * copy of config_overwrite property
+     *
+     * @var bool
+     */
+    private $configOverwrite = false;
+
+    /**
+     * copy of config_read_hidden property
+     *
+     * @var bool
+     */
+    private $configReadHidden = false;
+
+    /**
+     * helper map
+     *
+     * @var array
+     */
+    private static $escapes_single = Array('\\' => '\\', '\'' => '\'');
+
+    /**
+     * constructor
+     *
+     * @param Smarty_Internal_Configfilelexer      $lex
+     * @param Smarty_Internal_Config_File_Compiler $compiler
+     */
+    function __construct(Smarty_Internal_Configfilelexer $lex, Smarty_Internal_Config_File_Compiler $compiler)
     {
         // set instance object
         self::instance($this);
         $this->lex = $lex;
         $this->smarty = $compiler->smarty;
         $this->compiler = $compiler;
+        $this->configOverwrite = $this->smarty->config_overwrite;
+        $this->configReadHidden = $this->smarty->config_read_hidden;
     }
 
+    /**
+     * @param null $new_instance
+     *
+     * @return null
+     */
     public static function &instance($new_instance = null)
     {
         static $instance = null;
@@ -114,9 +191,17 @@
         return $instance;
     }
 
+    /**
+     * parse optional boolean keywords
+     *
+     * @param string $str
+     *
+     * @return bool
+     */
     private function parse_bool($str)
     {
-        if (in_array(strtolower($str), array('on', 'yes', 'true'))) {
+        $str = strtolower($str);
+        if (in_array($str, array('on', 'yes', 'true'))) {
             $res = true;
         } else {
             $res = false;
@@ -124,9 +209,15 @@
         return $res;
     }
 
-    private static $escapes_single = Array('\\' => '\\',
-                                           '\'' => '\'');
-
+    /**
+     * parse single quoted string
+     *  remove outer quotes
+     *  unescape inner quotes
+     *
+     * @param string $qstr
+     *
+     * @return string
+     */
     private static function parse_single_quoted_string($qstr)
     {
         $escaped_string = substr($qstr, 1, strlen($qstr) - 2); //remove outer quotes
@@ -140,30 +231,48 @@
                     $s = self::$escapes_single[$s[1]];
                 }
             }
-
             $str .= $s;
         }
-
         return $str;
     }
 
+    /**
+     * parse double quoted string
+     *
+     * @param string $qstr
+     *
+     * @return string
+     */
     private static function parse_double_quoted_string($qstr)
     {
         $inner_str = substr($qstr, 1, strlen($qstr) - 2);
         return stripcslashes($inner_str);
     }
 
+    /**
+     * parse triple quoted string
+     *
+     * @param string $qstr
+     *
+     * @return string
+     */
     private static function parse_tripple_double_quoted_string($qstr)
     {
         return stripcslashes($qstr);
     }
 
+    /**
+     * set a config variable in target array
+     *
+     * @param array $var
+     * @param array $target_array
+     */
     private function set_var(Array $var, Array &$target_array)
     {
         $key = $var["key"];
         $value = $var["value"];
 
-        if ($this->smarty->config_overwrite || !isset($target_array['vars'][$key])) {
+        if ($this->configOverwrite || !isset($target_array['vars'][$key])) {
             $target_array['vars'][$key] = $value;
         } else {
             settype($target_array['vars'][$key], 'array');
@@ -171,6 +280,11 @@
         }
     }
 
+    /**
+     * add config variable to global vars
+     *
+     * @param array $vars
+     */
     private function add_global_vars(Array $vars)
     {
         if (!isset($this->compiler->config_data['vars'])) {
@@ -181,6 +295,12 @@
         }
     }
 
+    /**
+     * add config variable to section
+     *
+     * @param string $section_name
+     * @param array  $vars
+     */
     private function add_section_vars($section_name, Array $vars)
     {
         if (!isset($this->compiler->config_data['sections'][$section_name]['vars'])) {
@@ -191,158 +311,92 @@
         }
     }
 
-    #line 174 "smarty_internal_configfileparser.php"
-
     const TPC_OPENB = 1;
+
     const TPC_SECTION = 2;
+
     const TPC_CLOSEB = 3;
+
     const TPC_DOT = 4;
+
     const TPC_ID = 5;
+
     const TPC_EQUAL = 6;
+
     const TPC_FLOAT = 7;
+
     const TPC_INT = 8;
+
     const TPC_BOOL = 9;
+
     const TPC_SINGLE_QUOTED_STRING = 10;
+
     const TPC_DOUBLE_QUOTED_STRING = 11;
+
     const TPC_TRIPPLE_QUOTES = 12;
+
     const TPC_TRIPPLE_TEXT = 13;
+
     const TPC_TRIPPLE_QUOTES_END = 14;
+
     const TPC_NAKED_STRING = 15;
+
     const TPC_OTHER = 16;
+
     const TPC_NEWLINE = 17;
+
     const TPC_COMMENTSTART = 18;
+
     const YY_NO_ACTION = 60;
+
     const YY_ACCEPT_ACTION = 59;
+
     const YY_ERROR_ACTION = 58;
 
     const YY_SZ_ACTTAB = 38;
-    static public $yy_action = array(
-        /*     0 */
-        29, 30, 34, 33, 24, 13, 19, 25, 35, 21,
-        /*    10 */
-        59, 8, 3, 1, 20, 12, 14, 31, 20, 12,
-        /*    20 */
-        15, 17, 23, 18, 27, 26, 4, 5, 6, 32,
-        /*    30 */
-        2, 11, 28, 22, 16, 9, 7, 10,
-    );
-    static public $yy_lookahead = array(
-        /*     0 */
-        7, 8, 9, 10, 11, 12, 5, 27, 15, 16,
-        /*    10 */
-        20, 21, 23, 23, 17, 18, 13, 14, 17, 18,
-        /*    20 */
-        15, 2, 17, 4, 25, 26, 6, 3, 3, 14,
-        /*    30 */
-        23, 1, 24, 17, 2, 25, 22, 25,
-    );
+
+    static public $yy_action = array(29, 30, 34, 33, 24, 13, 19, 25, 35, 21, 59, 8, 3, 1, 20, 12, 14, 31, 20, 12, 15,
+        17, 23, 18, 27, 26, 4, 5, 6, 32, 2, 11, 28, 22, 16, 9, 7, 10,);
+
+    static public $yy_lookahead = array(7, 8, 9, 10, 11, 12, 5, 27, 15, 16, 20, 21, 23, 23, 17, 18, 13, 14, 17, 18, 15,
+        2, 17, 4, 25, 26, 6, 3, 3, 14, 23, 1, 24, 17, 2, 25, 22, 25,);
+
     const YY_SHIFT_USE_DFLT = - 8;
+
     const YY_SHIFT_MAX = 19;
-    static public $yy_shift_ofst = array(
-        /*     0 */
-        - 8, 1, 1, 1, - 7, - 3, - 3, 30, - 8, - 8,
-        /*    10 */
-        - 8, 19, 5, 3, 15, 16, 24, 25, 32, 20,
-    );
+
+    static public $yy_shift_ofst = array(- 8, 1, 1, 1, - 7, - 3, - 3, 30, - 8, - 8, - 8, 19, 5, 3, 15, 16, 24, 25, 32,
+        20,);
+
     const YY_REDUCE_USE_DFLT = - 21;
+
     const YY_REDUCE_MAX = 10;
-    static public $yy_reduce_ofst = array(
-        /*     0 */
-        - 10, - 1, - 1, - 1, - 20, 10, 12, 8, 14, 7,
-        /*    10 */
-        - 11,
-    );
-    static public $yyExpectedTokens = array(
-        /* 0 */
-        array(),
-        /* 1 */
-        array(5, 17, 18,),
-        /* 2 */
-        array(5, 17, 18,),
-        /* 3 */
-        array(5, 17, 18,),
-        /* 4 */
-        array(7, 8, 9, 10, 11, 12, 15, 16,),
-        /* 5 */
-        array(17, 18,),
-        /* 6 */
-        array(17, 18,),
-        /* 7 */
-        array(1,),
-        /* 8 */
-        array(),
-        /* 9 */
-        array(),
-        /* 10 */
-        array(),
-        /* 11 */
-        array(2, 4,),
-        /* 12 */
-        array(15, 17,),
-        /* 13 */
-        array(13, 14,),
-        /* 14 */
-        array(14,),
-        /* 15 */
-        array(17,),
-        /* 16 */
-        array(3,),
-        /* 17 */
-        array(3,),
-        /* 18 */
-        array(2,),
-        /* 19 */
-        array(6,),
-        /* 20 */
-        array(),
-        /* 21 */
-        array(),
-        /* 22 */
-        array(),
-        /* 23 */
-        array(),
-        /* 24 */
-        array(),
-        /* 25 */
-        array(),
-        /* 26 */
-        array(),
-        /* 27 */
-        array(),
-        /* 28 */
-        array(),
-        /* 29 */
-        array(),
-        /* 30 */
-        array(),
-        /* 31 */
-        array(),
-        /* 32 */
-        array(),
-        /* 33 */
-        array(),
-        /* 34 */
-        array(),
-        /* 35 */
-        array(),
-    );
-    static public $yy_default = array(
-        /*     0 */
-        44, 37, 41, 40, 58, 58, 58, 36, 39, 44,
-        /*    10 */
-        44, 58, 58, 58, 58, 58, 58, 58, 58, 58,
-        /*    20 */
-        55, 54, 57, 56, 50, 45, 43, 42, 38, 46,
-        /*    30 */
-        47, 52, 51, 49, 48, 53,
-    );
+
+    static public $yy_reduce_ofst = array(- 10, - 1, - 1, - 1, - 20, 10, 12, 8, 14, 7, - 11,);
+
+    static public $yyExpectedTokens = array(array(), array(5, 17, 18,), array(5, 17, 18,), array(5, 17, 18,),
+        array(7, 8, 9, 10, 11, 12, 15, 16,), array(17, 18,), array(17, 18,), array(1,), array(), array(), array(),
+        array(2, 4,), array(15, 17,), array(13, 14,), array(14,), array(17,), array(3,), array(3,), array(2,),
+        array(6,), array(), array(), array(), array(), array(), array(), array(), array(), array(), array(), array(),
+        array(), array(), array(), array(), array(),);
+
+    static public $yy_default = array(44, 37, 41, 40, 58, 58, 58, 36, 39, 44, 44, 58, 58, 58, 58, 58, 58, 58, 58, 58,
+        55, 54, 57, 56, 50, 45, 43, 42, 38, 46, 47, 52, 51, 49, 48, 53,);
+
     const YYNOCODE = 29;
+
     const YYSTACKDEPTH = 100;
+
     const YYNSTATE = 36;
+
     const YYNRULE = 22;
+
     const YYERRORSYMBOL = 19;
+
     const YYERRSYMDT = 'yy0';
+
     const YYFALLBACK = 0;
+
     public static $yyFallback = array();
 
     public function Trace($TraceFILE, $zTracePrompt)
@@ -363,67 +417,26 @@
     }
 
     public $yyTraceFILE;
+
     public $yyTracePrompt;
+
-    public $yyidx; /* Index of top element in stack */
+    public $yyidx;                    /* Index of top element in stack */
-    public $yyerrcnt; /* Shifts left before out of the error */
+    public $yyerrcnt;                 /* Shifts left before out of the error */
-    public $yystack = array(); /* The parser's stack */
+    public $yystack = array();  /* The parser's stack */
 
-    public $yyTokenName = array(
-        '$', 'OPENB', 'SECTION', 'CLOSEB',
-        'DOT', 'ID', 'EQUAL', 'FLOAT',
-        'INT', 'BOOL', 'SINGLE_QUOTED_STRING', 'DOUBLE_QUOTED_STRING',
-        'TRIPPLE_QUOTES', 'TRIPPLE_TEXT', 'TRIPPLE_QUOTES_END', 'NAKED_STRING',
-        'OTHER', 'NEWLINE', 'COMMENTSTART', 'error',
-        'start', 'global_vars', 'sections', 'var_list',
-        'section', 'newline', 'var', 'value',
-    );
+    public $yyTokenName = array('$', 'OPENB', 'SECTION', 'CLOSEB', 'DOT', 'ID', 'EQUAL', 'FLOAT', 'INT', 'BOOL',
+        'SINGLE_QUOTED_STRING', 'DOUBLE_QUOTED_STRING', 'TRIPPLE_QUOTES', 'TRIPPLE_TEXT', 'TRIPPLE_QUOTES_END',
+        'NAKED_STRING', 'OTHER', 'NEWLINE', 'COMMENTSTART', 'error', 'start', 'global_vars', 'sections', 'var_list',
+        'section', 'newline', 'var', 'value',);
 
-    public static $yyRuleName = array(
-        /*   0 */
-        "start ::= global_vars sections",
-        /*   1 */
-        "global_vars ::= var_list",
-        /*   2 */
-        "sections ::= sections section",
-        /*   3 */
-        "sections ::=",
-        /*   4 */
-        "section ::= OPENB SECTION CLOSEB newline var_list",
-        /*   5 */
-        "section ::= OPENB DOT SECTION CLOSEB newline var_list",
-        /*   6 */
-        "var_list ::= var_list newline",
-        /*   7 */
-        "var_list ::= var_list var",
-        /*   8 */
-        "var_list ::=",
-        /*   9 */
-        "var ::= ID EQUAL value",
-        /*  10 */
-        "value ::= FLOAT",
-        /*  11 */
-        "value ::= INT",
-        /*  12 */
-        "value ::= BOOL",
-        /*  13 */
-        "value ::= SINGLE_QUOTED_STRING",
-        /*  14 */
-        "value ::= DOUBLE_QUOTED_STRING",
-        /*  15 */
-        "value ::= TRIPPLE_QUOTES TRIPPLE_TEXT TRIPPLE_QUOTES_END",
-        /*  16 */
-        "value ::= TRIPPLE_QUOTES TRIPPLE_QUOTES_END",
-        /*  17 */
-        "value ::= NAKED_STRING",
-        /*  18 */
-        "value ::= OTHER",
-        /*  19 */
-        "newline ::= NEWLINE",
-        /*  20 */
-        "newline ::= COMMENTSTART NEWLINE",
-        /*  21 */
-        "newline ::= COMMENTSTART NAKED_STRING NEWLINE",
-    );
+    public static $yyRuleName = array('start ::= global_vars sections', 'global_vars ::= var_list',
+        'sections ::= sections section', 'sections ::=', 'section ::= OPENB SECTION CLOSEB newline var_list',
+        'section ::= OPENB DOT SECTION CLOSEB newline var_list', 'var_list ::= var_list newline',
+        'var_list ::= var_list var', 'var_list ::=', 'var ::= ID EQUAL value', 'value ::= FLOAT', 'value ::= INT',
+        'value ::= BOOL', 'value ::= SINGLE_QUOTED_STRING', 'value ::= DOUBLE_QUOTED_STRING',
+        'value ::= TRIPPLE_QUOTES TRIPPLE_TEXT TRIPPLE_QUOTES_END', 'value ::= TRIPPLE_QUOTES TRIPPLE_QUOTES_END',
+        'value ::= NAKED_STRING', 'value ::= OTHER', 'newline ::= NEWLINE', 'newline ::= COMMENTSTART NEWLINE',
+        'newline ::= COMMENTSTART NAKED_STRING NEWLINE',);
 
     public function tokenName($tokenType)
     {
@@ -441,20 +454,18 @@
     {
         switch ($yymajor) {
             default:
-                break; /* If no destructor action specified: do nothing */
+                break;   /* If no destructor action specified: do nothing */
         }
     }
 
     public function yy_pop_parser_stack()
     {
-        if (!count($this->yystack)) {
+        if (empty($this->yystack)) {
             return;
         }
         $yytos = array_pop($this->yystack);
         if ($this->yyTraceFILE && $this->yyidx >= 0) {
-            fwrite($this->yyTraceFILE,
-                   $this->yyTracePrompt . 'Popping ' . $this->yyTokenName[$yytos->major] .
-                   "\n");
+            fwrite($this->yyTraceFILE, $this->yyTracePrompt . 'Popping ' . $this->yyTokenName[$yytos->major] . "\n");
         }
         $yymajor = $yytos->major;
         self::yy_destructor($yymajor, $yytos->minor);
@@ -475,11 +486,19 @@
 
     public function yy_get_expected_tokens($token)
     {
+        static $res3 = array();
+        static $res4 = array();
         $state = $this->yystack[$this->yyidx]->stateno;
         $expected = self::$yyExpectedTokens[$state];
-        if (in_array($token, self::$yyExpectedTokens[$state], true)) {
+        if (isset($res3[$state][$token])) {
+            if ($res3[$state][$token]) {
-            return $expected;
-        }
+                return $expected;
+            }
+        } else {
+            if ($res3[$state][$token] = in_array($token, self::$yyExpectedTokens[$state], true)) {
+                return $expected;
+            }
+        }
         $stack = $this->yystack;
         $yyidx = $this->yyidx;
         do {
@@ -496,26 +515,30 @@
                         return array_unique($expected);
                     }
                     $yyruleno = $yyact - self::YYNSTATE;
-                    $this->yyidx -= self::$yyRuleInfo[$yyruleno]['rhs'];
-                    $nextstate = $this->yy_find_reduce_action(
-                        $this->yystack[$this->yyidx]->stateno,
-                        self::$yyRuleInfo[$yyruleno]['lhs']);
+                    $this->yyidx -= self::$yyRuleInfo[$yyruleno][1];
+                    $nextstate = $this->yy_find_reduce_action($this->yystack[$this->yyidx]->stateno, self::$yyRuleInfo[$yyruleno][0]);
                     if (isset(self::$yyExpectedTokens[$nextstate])) {
                         $expected = array_merge($expected, self::$yyExpectedTokens[$nextstate]);
-                        if (in_array($token,
-                                     self::$yyExpectedTokens[$nextstate], true)) {
+                        if (isset($res4[$nextstate][$token])) {
+                            if ($res4[$nextstate][$token]) {
-                            $this->yyidx = $yyidx;
-                            $this->yystack = $stack;
+                                $this->yyidx = $yyidx;
+                                $this->yystack = $stack;
-
-                            return array_unique($expected);
-                        }
+                                return array_unique($expected);
+                            }
+                        } else {
+                            if ($res4[$nextstate][$token] = in_array($token, self::$yyExpectedTokens[$nextstate], true)) {
+                                $this->yyidx = $yyidx;
+                                $this->yystack = $stack;
+                                return array_unique($expected);
-                    }
+                            }
+                        }
+                    }
                     if ($nextstate < self::YYNSTATE) {
                         // we need to shift a non-terminal
                         $this->yyidx ++;
                         $x = new TPC_yyStackEntry;
                         $x->stateno = $nextstate;
-                        $x->major = self::$yyRuleInfo[$yyruleno]['lhs'];
+                        $x->major = self::$yyRuleInfo[$yyruleno][0];
                         $this->yystack[$this->yyidx] = $x;
                         continue 2;
                     } elseif ($nextstate == self::YYNSTATE + self::YYNRULE + 1) {
@@ -545,13 +568,21 @@
 
     public function yy_is_expected_token($token)
     {
+        static $res = array();
+        static $res2 = array();
         if ($token === 0) {
             return true; // 0 is not part of this
         }
         $state = $this->yystack[$this->yyidx]->stateno;
-        if (in_array($token, self::$yyExpectedTokens[$state], true)) {
+        if (isset($res[$state][$token])) {
+            if ($res[$state][$token]) {
-            return true;
-        }
+                return true;
+            }
+        } else {
+            if ($res[$state][$token] = in_array($token, self::$yyExpectedTokens[$state], true)) {
+                return true;
+            }
+        }
         $stack = $this->yystack;
         $yyidx = $this->yyidx;
         do {
@@ -568,24 +599,27 @@
                         return true;
                     }
                     $yyruleno = $yyact - self::YYNSTATE;
-                    $this->yyidx -= self::$yyRuleInfo[$yyruleno]['rhs'];
-                    $nextstate = $this->yy_find_reduce_action(
-                        $this->yystack[$this->yyidx]->stateno,
-                        self::$yyRuleInfo[$yyruleno]['lhs']);
-                    if (isset(self::$yyExpectedTokens[$nextstate]) &&
-                        in_array($token, self::$yyExpectedTokens[$nextstate], true)
-                    ) {
+                    $this->yyidx -= self::$yyRuleInfo[$yyruleno][1];
+                    $nextstate = $this->yy_find_reduce_action($this->yystack[$this->yyidx]->stateno, self::$yyRuleInfo[$yyruleno][0]);
+                    if (isset($res2[$nextstate][$token])) {
+                        if ($res2[$nextstate][$token]) {
-                        $this->yyidx = $yyidx;
-                        $this->yystack = $stack;
+                            $this->yyidx = $yyidx;
+                            $this->yystack = $stack;
-
-                        return true;
-                    }
+                            return true;
+                        }
+                    } else {
+                        if ($res2[$nextstate][$token] = (isset(self::$yyExpectedTokens[$nextstate]) && in_array($token, self::$yyExpectedTokens[$nextstate], true))) {
+                            $this->yyidx = $yyidx;
+                            $this->yystack = $stack;
+                            return true;
+                        }
+                    }
                     if ($nextstate < self::YYNSTATE) {
                         // we need to shift a non-terminal
                         $this->yyidx ++;
                         $x = new TPC_yyStackEntry;
                         $x->stateno = $nextstate;
-                        $x->major = self::$yyRuleInfo[$yyruleno]['lhs'];
+                        $x->major = self::$yyRuleInfo[$yyruleno][0];
                         $this->yystack[$this->yyidx] = $x;
                         continue 2;
                     } elseif ($nextstate == self::YYNSTATE + self::YYNRULE + 1) {
@@ -634,16 +668,10 @@
             return self::YY_NO_ACTION;
         }
         $i += $iLookAhead;
-        if ($i < 0 || $i >= self::YY_SZ_ACTTAB ||
-            self::$yy_lookahead[$i] != $iLookAhead
-        ) {
-            if (count(self::$yyFallback) && $iLookAhead < count(self::$yyFallback)
-                && ($iFallback = self::$yyFallback[$iLookAhead]) != 0
-            ) {
+        if ($i < 0 || $i >= self::YY_SZ_ACTTAB || self::$yy_lookahead[$i] != $iLookAhead) {
+            if (count(self::$yyFallback) && $iLookAhead < count(self::$yyFallback) && ($iFallback = self::$yyFallback[$iLookAhead]) != 0) {
                 if ($this->yyTraceFILE) {
-                    fwrite($this->yyTraceFILE, $this->yyTracePrompt . "FALLBACK " .
-                        $this->yyTokenName[$iLookAhead] . " => " .
-                        $this->yyTokenName[$iFallback] . "\n");
+                    fwrite($this->yyTraceFILE, $this->yyTracePrompt . "FALLBACK " . $this->yyTokenName[$iLookAhead] . " => " . $this->yyTokenName[$iFallback] . "\n");
                 }
 
                 return $this->yy_find_shift_action($iFallback);
@@ -670,9 +698,7 @@
             return self::YY_NO_ACTION;
         }
         $i += $iLookAhead;
-        if ($i < 0 || $i >= self::YY_SZ_ACTTAB ||
-            self::$yy_lookahead[$i] != $iLookAhead
-        ) {
+        if ($i < 0 || $i >= self::YY_SZ_ACTTAB || self::$yy_lookahead[$i] != $iLookAhead) {
             return self::$yy_default[$stateno];
         } else {
             return self::$yy_action[$i];
@@ -690,11 +716,10 @@
             while ($this->yyidx >= 0) {
                 $this->yy_pop_parser_stack();
             }
-            #line 125 "smarty_internal_configfileparser.y"
+            #line 255 "../smarty/lexer/smarty_internal_configfileparser.y"
 
             $this->internalError = true;
             $this->compiler->trigger_config_file_error("Stack overflow in configfile parser");
-            #line 601 "smarty_internal_configfileparser.php"
 
             return;
         }
